/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-制程(适用所有类型的产品，设计的产品必须有制程)
获取制程信息与钢种对应的表是：COM_MSC_BACKLOG、COM_MSC_GRADE，根据MSC（冶金规范码）获取制程
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;
import java.util.List;

import market.Qms.slmord.mapper.SlmOrdDesignMscPlMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_MSC_PL", namespace=SlmOrdDesignMscPlMapper.class)
public class SlmOrdDesignMscPl extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 全程产线号(COM_MSC_BACKLOG)
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程途径码
	 */ 
	@Column
	private String whole_backlog;
	public String  getWhole_backlog() {
		return this.whole_backlog;
	}
	public void setWhole_backlog(String whole_backlog) {
		this.whole_backlog = whole_backlog;
	}

	/** 
	 * 全程途径描述
	 */ 
	@Column
	private String whole_backlog_desc;
	public String  getWhole_backlog_desc() {
		return this.whole_backlog_desc;
	}
	public void setWhole_backlog_desc(String whole_backlog_desc) {
		this.whole_backlog_desc = whole_backlog_desc;
	}

	/** 
	 * 坯料厚度下限符号
	 */ 
	@Column
	private String raw_thick_min_sign;
	public String  getRaw_thick_min_sign() {
		return this.raw_thick_min_sign;
	}
	public void setRaw_thick_min_sign(String raw_thick_min_sign) {
		this.raw_thick_min_sign = raw_thick_min_sign;
	}

	/** 
	 * 坯料厚度下限值
	 */ 
	@Column
	private Double raw_thick_min;
	public Double  getRaw_thick_min() {
		return this.raw_thick_min;
	}
	public void setRaw_thick_min(Double raw_thick_min) {
		this.raw_thick_min = raw_thick_min;
	}

	/** 
	 * 坯料厚度上限符号
	 */ 
	@Column
	private String raw_thick_max_sign;
	public String  getRaw_thick_max_sign() {
		return this.raw_thick_max_sign;
	}
	public void setRaw_thick_max_sign(String raw_thick_max_sign) {
		this.raw_thick_max_sign = raw_thick_max_sign;
	}

	/** 
	 * 坯料厚度上限值
	 */ 
	@Column
	private Double raw_thick_max;
	public Double  getRaw_thick_max() {
		return this.raw_thick_max;
	}
	public void setRaw_thick_max(Double raw_thick_max) {
		this.raw_thick_max = raw_thick_max;
	}

	/** 
	 * 坯料宽度下限符号
	 */ 
	@Column
	private String raw_width_min_sign;
	public String  getRaw_width_min_sign() {
		return this.raw_width_min_sign;
	}
	public void setRaw_width_min_sign(String raw_width_min_sign) {
		this.raw_width_min_sign = raw_width_min_sign;
	}

	/** 
	 * 坯料宽度下限
	 */ 
	@Column
	private Double raw_width_min;
	public Double  getRaw_width_min() {
		return this.raw_width_min;
	}
	public void setRaw_width_min(Double raw_width_min) {
		this.raw_width_min = raw_width_min;
	}

	/** 
	 * 坯料宽度上限符号
	 */ 
	@Column
	private String raw_width_max_sign;
	public String  getRaw_width_max_sign() {
		return this.raw_width_max_sign;
	}
	public void setRaw_width_max_sign(String raw_width_max_sign) {
		this.raw_width_max_sign = raw_width_max_sign;
	}

	/** 
	 * 坯料宽度上限
	 */ 
	@Column
	private Double raw_width_max;
	public Double  getRaw_width_max() {
		return this.raw_width_max;
	}
	public void setRaw_width_max(Double raw_width_max) {
		this.raw_width_max = raw_width_max;
	}

	/** 
	 * 厚度下限符号
	 */ 
	@Column
	private String thick_min_sign;
	public String  getThick_min_sign() {
		return this.thick_min_sign;
	}
	public void setThick_min_sign(String thick_min_sign) {
		this.thick_min_sign = thick_min_sign;
	}

	/** 
	 * 厚度下限值
	 */ 
	@Column
	private Double thick_min;
	public Double  getThick_min() {
		return this.thick_min;
	}
	public void setThick_min(Double thick_min) {
		this.thick_min = thick_min;
	}

	/** 
	 * 厚度上限符号
	 */ 
	@Column
	private String thick_max_sign;
	public String  getThick_max_sign() {
		return this.thick_max_sign;
	}
	public void setThick_max_sign(String thick_max_sign) {
		this.thick_max_sign = thick_max_sign;
	}

	/** 
	 * 厚度上限值
	 */ 
	@Column
	private Double thick_max;
	public Double  getThick_max() {
		return this.thick_max;
	}
	public void setThick_max(Double thick_max) {
		this.thick_max = thick_max;
	}

	/** 
	 * 宽度下限符号
	 */ 
	@Column
	private String width_min_sign;
	public String  getWidth_min_sign() {
		return this.width_min_sign;
	}
	public void setWidth_min_sign(String width_min_sign) {
		this.width_min_sign = width_min_sign;
	}

	/** 
	 * 宽度下限值
	 */ 
	@Column
	private Double width_min;
	public Double  getWidth_min() {
		return this.width_min;
	}
	public void setWidth_min(Double width_min) {
		this.width_min = width_min;
	}

	/** 
	 * 宽度上限符号
	 */ 
	@Column
	private String width_max_sign;
	public String  getWidth_max_sign() {
		return this.width_max_sign;
	}
	public void setWidth_max_sign(String width_max_sign) {
		this.width_max_sign = width_max_sign;
	}

	/** 
	 * 宽度上限值
	 */ 
	@Column
	private Double width_max;
	public Double  getWidth_max() {
		return this.width_max;
	}
	public void setWidth_max(Double width_max) {
		this.width_max = width_max;
	}

	/** 
	 * 长度下限符号
	 */ 
	@Column
	private String lenth_min_sign;
	public String  getLenth_min_sign() {
		return this.lenth_min_sign;
	}
	public void setLenth_min_sign(String lenth_min_sign) {
		this.lenth_min_sign = lenth_min_sign;
	}

	/** 
	 * 长度下限值
	 */ 
	@Column
	private Double lenth_min;
	public Double  getLenth_min() {
		return this.lenth_min;
	}
	public void setLenth_min(Double lenth_min) {
		this.lenth_min = lenth_min;
	}

	/** 
	 * 长度上限符号
	 */ 
	@Column
	private String lenth_max_sign;
	public String  getLenth_max_sign() {
		return this.lenth_max_sign;
	}
	public void setLenth_max_sign(String lenth_max_sign) {
		this.lenth_max_sign = lenth_max_sign;
	}

	/** 
	 * 长度上限值
	 */ 
	@Column
	private Double lenth_max;
	public Double  getLenth_max() {
		return this.lenth_max;
	}
	public void setLenth_max(Double lenth_max) {
		this.lenth_max = lenth_max;
	}

	/** 
	 * 适用交货状态代码集合(多个交货状态中间用" ,"进行隔离)
	 */ 
	@Column
	private String delivery_state_code;
	public String  getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 是否设定制程(0:否;1:是)
	 */ 
	@Column
	private String set_fl;
	public String  getSet_fl() {
		return this.set_fl;
	}
	public void setSet_fl(String set_fl) {
		this.set_fl = set_fl;
	}

	/** 
	 * 警告信息
	 */ 
	@Column
	private String warn_desc;
	public String  getWarn_desc() {
		return this.warn_desc;
	}
	public void setWarn_desc(String warn_desc) {
		this.warn_desc = warn_desc;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String ord_ln_pk;
	public String  getOrd_ln_pk() {
		return this.ord_ln_pk;
	}
	public void setOrd_ln_pk(String ord_ln_pk) {
		this.ord_ln_pk = ord_ln_pk;
	}

	/** 
	 * 是否自动生成工艺文件(1:是 0:否)
	 */ 
	@Column
	private String auto_craft;
	public String  getAuto_craft() {
		return this.auto_craft;
	}
	public void setAuto_craft(String auto_craft) {
		this.auto_craft = auto_craft;
	}

	/** 
	 *工艺code（拼接数据用）
	 */ 
	private String stations_code;
	public String getStations_code() {
		return stations_code;
	}
	public void setStations_code(String stations_code) {
		this.stations_code = stations_code;
	}
	
	/** 
	 *工艺路径（拼接数据用）
	 */ 
	private String stations_desc;
	public String getStations_desc() {
		return stations_desc;
	}
	public void setStations_desc(String stations_desc) {
		this.stations_desc = stations_desc;
	}

	/**
	 * 钢种集（拼接数据用）
	 */
	private List<SlmOrdDesignMscPlGz> listGrade;
	
	public List<SlmOrdDesignMscPlGz> getListGrade() {
		return listGrade;
	}
	public void setListGrade(List<SlmOrdDesignMscPlGz> listGrade) {
		this.listGrade = listGrade;
	}
	
	
	private List<SlmOrdDesignMscPlSti> stition;
	public List<SlmOrdDesignMscPlSti> getStition() {
		return stition;
	}
	public void setStition(List<SlmOrdDesignMscPlSti> stition) {
		this.stition = stition;
	}
	
}
